Subject: RE: [ipfix] protocol security section

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 12 Jan 2004 18:57:43 +0100

Inline

> -----Original Message-----
> From: Mark Fullmer [mailto:[email-masked]]
> Sent: maandag 12 januari 2004 4:40
> To: 'Ipfix Wg' (E-mail)
> Cc: Benoit Claise
> Subject: [ipfix] protocol security section
> 
> 
> This is a rough draft of a security section.  I'd like to be able to
> enumerate the attack scenarios better but this requires we get the
> UDP/no UDP directive and relating issues behind us.  I think at least
> all the issues are here.
> 
> I'm also leaning towards a simple authentication (plain text password
> for example) option available in the protocol so that a collector can
> at least have some idea who its talking to without requiring IPSec.
> 
I am pretty sure that IESG will NOT bless a "plain text password"
authentication method.

> ---
> 
> The IPFIX protocol provides no means to secure messages between the
> exporter and collector, or a mechanism to provide for mutual
> authentication.  IPSec MAY be used for message authentication and or
> encryption, but this may not address all the security issues present
> in an IPFIX deployment.
> 
Syaing "use IPsec" (MUST/SHOULD oR MAY) is NOT sufficient.
You have to explain how it is to be used etc.
See draft-bellovin-useipsec-02.txt for guidelines.

Hope this helps,
Bert

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/